#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kdenlive
Version: 24.02.2
Release:	%mkrel %rel
License:	GPLv2+
Summary:	A non-linear video editing application for KDE
Group:		Video/Editors and Converters
URL:		https://www.kdenlive.org
Source:		https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		kdenlive-21.12.3-fix-vp8-hd-profile.patch
## Upstream patches

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6NetworkAuth)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Test)

BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Bookmarks)
BuildRequires:	cmake(KF6Codecs)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6NotifyConfig)
BuildRequires:	cmake(KF6NewStuff)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KF6FileMetaData)
# OPTIONAL packages
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6Crash)

BuildRequires:	mlt-devel >= 7.0.0

BuildRequires:	cmake(rttr)
BuildRequires:	pkgconfig(libv4l2)

Requires:	mlt
Requires:	mlt-kdenlive
Requires:	ffmpeg
Requires:	frei0r
Requires:	dvgrab
Requires:	desktop-common-data
Requires:	breeze
Requires:	breeze-icons
# plugin libqtquick2plugin.so is needed (mga#23025)
Requires:	qt6-qtdeclarative
Requires:	kio

Recommends:	swh-plugins
Recommends:	recordmydesktop
Recommends:	cdrkit-genisoimage
Recommends:	dvdauthor
Recommends:	oxygen-icon-theme
Recommends:	ladspa
Recommends:	lv2
# see mga#31204
Recommends:	mediainfo


%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle its rendering. Kdenlive supports multitrack
editing.

%files -f %name.lang
%doc AUTHORS README.md
%license COPYING
%_kf6_categoriesdir/kdenlive.*categories
%_kf6_bindir/*
%_kf6_datadir/kdenlive/
%_kf6_datadir/knsrcfiles/kdenlive_*.knsrc
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_metainfodir/org.kde.kdenlive.appdata.xml
%_kf6_applicationdir/org.kde.kdenlive.desktop
%_kf6_datadir/config.kcfg/kdenlivesettings.kcfg
%_kf6_knotificationsdir/kdenlive.notifyrc
%_kf6_plugindir/thumbcreator/mltpreview.so
%_kf6_datadir/mime/packages/org.kde.kdenlive.xml
%_kf6_datadir/mime/packages/westley.xml
%_kf6_mandir/man1/*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# fix build renaming an incorrect name file (section 1 - screen 2.png)
mv po/fr/docs/kdenlive/section*1*-*screen*2.png po/fr/docs/kdenlive/section1-screen2.png

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %name --with-html

# remove unwanted doc folder
rm -fr %{buildroot}%{_docdir}/Kdenlive


%changelog
* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058587
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045132
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037630
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033757
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025109
- New version 24.01.85

* Sun Nov 19 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007781
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989582
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958159
- New version 23.04.1

* Mon Apr 24 2023 ghibo <ghibo> 23.04.0-1.mga9
+ Revision: 1954753
- Update to release 23.04

* Thu Mar 23 2023 daviddavid <daviddavid> 22.12.3-2.mga9
+ Revision: 1950203
- drop no more needed by the project Qt5WebKit build dependency

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946471
- New version 22.12.3

* Fri Feb 17 2023 ghibo <ghibo> 22.12.2-2.mga9
+ Revision: 1943771
- Rebuild against fresh kf5 libraries

* Sat Feb 11 2023 ghibo <ghibo> 22.12.2-1.mga9
+ Revision: 1940685
- Update to release 22.12.2
- Remove kdenlivewidgets.so from filelist as no longer provided.

* Wed Feb 01 2023 daviddavid <daviddavid> 22.12.0-2.mga9
+ Revision: 1937278
- add lv2 as a recommended dependency

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922884
- New version 22.12.0

* Thu Dec 08 2022 daviddavid <daviddavid> 22.11.90-3.mga9
+ Revision: 1919420
- add missing runtime dependency on kdeclarative

* Tue Nov 29 2022 daviddavid <daviddavid> 22.11.90-2.mga9
+ Revision: 1912808
- recommend mediainfo (mga#31204)

* Tue Nov 29 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1912677
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905229
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886751
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880737
- New version 22.08.0

* Tue Aug 02 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1874580
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853940
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849446
- New version 22.03.90

* Mon Mar 14 2022 ghibo <ghibo> 21.12.3-1.mga9
+ Revision: 1790882
- Update to release 21.12.3
- Rediff Patch0.

* Sat Feb 19 2022 buchan <buchan> 21.12.2-1.mga9
+ Revision: 1781431
- Update to 21.12.2

* Mon Dec 27 2021 ghibo <ghibo> 21.12.0-1.mga9
+ Revision: 1764292
- Add a patch for fixing VP8 encoding quality.
- Allow breezy-dark .svg icons for mga8 only for easy backporting.
+ neoclust <neoclust>
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724039
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718698
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698523
- New version 20.12.3

* Mon Mar 01 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694709
- New version 20.12.2

* Fri Jan 22 2021 daviddavid <daviddavid> 20.12.0-4.mga8
+ Revision: 1672860
- add upstream patch to fix crash when all audio streams of a clip were disabled

* Tue Jan 19 2021 daviddavid <daviddavid> 20.12.0-3.mga8
+ Revision: 1672525
- mark frei0r as a required dependency instead of recommended

* Mon Dec 28 2020 neoclust <neoclust> 20.12.0-2.mga8
+ Revision: 1664381
- Add kio as minimal require (mga#27446)

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655584
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643970
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1634716
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627028
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614895
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604094
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596827
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1585046
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568709
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559297
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540185
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513267
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467475
- New version 19.12.0
- New version 19.11.90

* Fri Nov 15 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1460330
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446898
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424966
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390959
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1389083
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382241
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375565
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365540
- New version 18.12.2

* Mon Jan 14 2019 zezinho <zezinho> 18.12.1-1.mga7
+ Revision: 1356377
- bugfix update 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339488
- New version 18.12.0

* Sun Nov 25 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1334210
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 18.08.2-2.mga7
+ Revision: 1332187
- enable KF5Purpose support

* Sun Nov 18 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1330900
- New version 18.08.2

* Thu Oct 04 2018 umeabot <umeabot> 18.04.1-3.mga7
+ Revision: 1317752
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- New version 18.04.1

* Sun May 13 2018 daviddavid <daviddavid> 18.04.1-2.mga7
+ Revision: 1228705
- add missing dependency on qtdeclarative5 (mga#23025)

* Fri May 11 2018 zezinho <zezinho> 18.04.1-1.mga7
+ Revision: 1228288
- new version 18.04.1

* Mon Apr 23 2018 zezinho <zezinho> 18.04.0-1.mga7
+ Revision: 1221468
- new version 18.04.0

* Sun Mar 11 2018 zezinho <zezinho> 17.12.3-1.mga7
+ Revision: 1208103
- new version 17.12.3

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201869
- New version 17.12.2

* Tue Jan 23 2018 neoclust <neoclust> 17.12.1-2.mga7
+ Revision: 1196533
- New version 17.12.1

* Sun Jan 21 2018 neoclust <neoclust> 17.12.0-2.mga7
+ Revision: 1195381
- Add conflict to ease upgrade

* Fri Dec 15 2017 zezinho <zezinho> 17.12.0-1.mga7
+ Revision: 1182685
- new version

* Mon Nov 13 2017 zezinho <zezinho> 17.08.3-1.mga7
+ Revision: 1177204
- new version

* Sat Nov 04 2017 zezinho <zezinho> 17.08.2-1.mga7
+ Revision: 1175966
- new bugfix version \-built against new movit

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143014
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136752
- New version 17.07.90

* Fri Jul 28 2017 daviddavid <daviddavid> 17.04.3-1.mga7
+ Revision: 1132058
- New version 17.04.3
- remove merged upstream patch
+ neoclust <neoclust>
- New version 17.04.3

* Mon May 15 2017 zezinho <zezinho> 16.12.3-5.mga6
+ Revision: 1101788
- rediffed patch
- patch to tile clip duration bug
- go back to 16.12.3 to prevent upgrade of kdenlive without the rest of kde stack

* Fri May 12 2017 zezinho <zezinho> 17.04.1-1.mga6
+ Revision: 1100564
- workaround doc file with spaces in name
- new bugfix version that fixes title clips duration changes

* Mon May 08 2017 zezinho <zezinho> 16.12.3-4.mga6
+ Revision: 1099701
- removes xine suggests, plasma5 version does not use it anymore

* Tue Mar 21 2017 neoclust <neoclust> 16.12.3-3.mga6
+ Revision: 1094211
- Fix default Requires (mga#19135)

* Fri Mar 10 2017 akien <akien> 16.12.3-2.mga6
+ Revision: 1091610
- Rebuild for v4l-utils 1.12.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090048
- New version 16.12.3

* Mon Feb 20 2017 daviddavid <daviddavid> 16.12.2-1.mga6
+ Revision: 1087053
- requires qtquickcontrols5 (mga#20328)
+ neoclust <neoclust>
- New version 16.12.2

* Sun Jan 22 2017 zezinho <zezinho> 16.12.1-2.mga6
+ Revision: 1082944
- rebuild against MLT 6.4.1
+ neoclust <neoclust>
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076784
- New version 16.12.0

* Wed Dec 14 2016 daviddavid <daviddavid> 16.11.90-2.mga6
+ Revision: 1075057
- add missing BRs on KF5FileMetaData and Qt5WebKitWidgets
- switch Kf5 BRs to cmake()
- remove no more needed BRs qimageblitz and qjson

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071996
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067314
- New version 16.08.3

* Fri Oct 21 2016 daviddavid <daviddavid> 16.08.2-1.mga6
+ Revision: 1062900
- New version 16.08.2

* Sat Sep 10 2016 zezinho <zezinho> 16.08.1-1.mga6
+ Revision: 1051349
- fix mixed tabs and spaces
+ neoclust <neoclust>
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047277
- New version 16.08.0

* Sun Jul 10 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040502
- New version 16.04.3

* Tue May 10 2016 zezinho <zezinho> 16.04.1-1.mga6
+ Revision: 1012360
- new version

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1005351
- New version

* Sun Mar 20 2016 luigiwalser <luigiwalser> 15.12.3-1.mga6
+ Revision: 993332
- 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987653
- New version 15.12.2

* Thu Jan 21 2016 daviddavid <daviddavid> 15.12.1-1.mga6
+ Revision: 926226
- new version: 15.12.1

* Thu Dec 31 2015 daviddavid <daviddavid> 15.12.0-1.mga6
+ Revision: 917052
- new version: 15.12.0
- update file list

* Wed Sep 16 2015 fwang <fwang> 15.08.1-1.mga6
+ Revision: 879717
- 15.08.1

* Sun Aug 23 2015 sander85 <sander85> 15.08.0-1.mga6
+ Revision: 868790
- New version: 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 864007
- New version 15.07.90

* Wed Aug 12 2015 neoclust <neoclust> 15.04.3-3.mga6
+ Revision: 863921
- Plasma Mass Rebuild - Rebuild for new Plasma

* Wed Aug 05 2015 neoclust <neoclust> 15.04.3-2.mga6
+ Revision: 861169
- Own kxmlgui5/%%name dir

* Wed Jul 08 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 852674
- New version

* Sun Dec 07 2014 zezinho <zezinho> 0.9.10-3.mga5
+ Revision: 802081
- ladspa is needed for more sound effects

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-2.mga5
+ Revision: 746084
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 juancho <juancho> 0.9.10-1.mga5
+ Revision: 736350
- Updated to 0.9.10

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-2.mga5
+ Revision: 681000
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed May 28 2014 zezinho <zezinho> 0.9.8-1.mga5
+ Revision: 627222
- new version 0.9.8

* Sat Oct 19 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 529703
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 0.9.6-2.mga4
+ Revision: 452916
- rebuild for new mlt

* Sun Apr 07 2013 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 408697
- New version: 0.9.6

* Mon Feb 04 2013 neoclust <neoclust> 0.9.4-2.mga3
+ Revision: 394471
- Adapt requires to last mlt changes

* Wed Jan 30 2013 zezinho <zezinho> 0.9.4-1.mga3
+ Revision: 393563
- bring back webcam support
- new version

* Mon Jan 14 2013 sander85 <sander85> 0.9.2-6.mga3
+ Revision: 385772
- Fix group

* Sat Jan 12 2013 umeabot <umeabot> 0.9.2-5.mga3
+ Revision: 356012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 juancho <juancho> 0.9.2-4.mga3
+ Revision: 322941
- Rebuild against new mlt 0.8.6.

* Fri Nov 09 2012 zezinho <zezinho> 0.9.2-3.mga3
+ Revision: 316763
- suggest xine-ui to test DVD generated

* Fri Jun 15 2012 fwang <fwang> 0.9.2-2.mga3
+ Revision: 260706
- rebuid for new mlt

* Thu May 31 2012 fwang <fwang> 0.9.2-1.mga3
+ Revision: 251877
- new version 0.9.2

* Wed May 30 2012 fwang <fwang> 0.9-1.mga3
+ Revision: 249678
- new version 0.9

* Fri Dec 09 2011 fwang <fwang> 0.8.2.1-1.mga2
+ Revision: 179585
- new version 0.8.2.1

* Tue Nov 01 2011 fwang <fwang> 0.8.2-1.mga2
+ Revision: 160773
- update file list
- update file list
- new version 0.8.2

* Mon Oct 03 2011 juancho <juancho> 0.8-4.mga2
+ Revision: 151221
- Fixed BUG: 2882

* Thu Jun 09 2011 ahmad <ahmad> 0.8-3.mga2
+ Revision: 102163
- Suggest the frei0r video effects plugins

* Wed May 18 2011 ahmad <ahmad> 0.8-2.mga1
+ Revision: 99683
- Suggest oxygen-icon-theme

* Tue May 17 2011 dmorgan <dmorgan> 0.8-1.mga1
+ Revision: 99461
- New version 0.8

* Fri May 13 2011 ahmad <ahmad> 0.7.8-3.mga1
+ Revision: 98041
- Fix the genisoimage suggests by suggest cdrkit-genisoimage (it doesn't
  provide genisoimage, ABC step is checking 'urpmq --provides' output), spotted by
  Anssi

* Thu May 12 2011 ahmad <ahmad> 0.7.8-2.mga1
+ Revision: 97587
- Add suggests on recordmydesktop, genisoimage and dvdauthor
- Drop the buildroot declaration

* Mon Feb 28 2011 ennael <ennael> 0.7.8-1.mga1
+ Revision: 61387
- come back to %%exclude
- delete uneeded files
- clean spec file
- imported package kdenlive


* Wed Sep 15 2010 Funda Wang <fwang@mandriva.org> 0.7.8-1mdv2011.0
+ Revision: 578654
- new version 0.7.8

* Sun Feb 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.7.1-1mdv2010.1
+ Revision: 512757
- update to new version 0.7.7.1

  + Funda Wang <fwang@mandriva.org>
    - update URL

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 0.7.7-1mdv2010.1
+ Revision: 507050
- New version 0.7.7

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 456248
- New version 0.7.6

* Sat Jul 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.5-1mdv2010.0
+ Revision: 392394
- Update to new version 0.7.5
- Don't package Debian menu file and image

* Mon Jun 01 2009 Funda Wang <fwang@mandriva.org> 0.7.4-1mdv2010.0
+ Revision: 381773
- bump mlt BR
- New version 0.7.4

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.7.3-1mdv2010.0
+ Revision: 369522
- New version 0.7.3

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.7.2.1-1mdv2009.1
+ Revision: 336743
- 0.7.2.1

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2009.1
+ Revision: 336243
- New version 0.7.2

* Wed Dec 31 2008 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2009.1
+ Revision: 321594
- avcodec is not needed
- New version 0.7.1
- rediff desktop patches

* Thu Nov 13 2008 Funda Wang <fwang@mandriva.org> 0.7-2mdv2009.1
+ Revision: 302604
- bump mlt requirement

* Thu Nov 13 2008 Funda Wang <fwang@mandriva.org> 0.7-1mdv2009.1
+ Revision: 302602
- New version 0.7 final

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2670.1mdv2009.1
+ Revision: 302095
- new snapshot

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2471.1mdv2009.1
+ Revision: 294129
- New snapshot

* Tue Sep 23 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2404.2mdv2009.0
+ Revision: 287182
- add icons from old svn trunk
- New snapshot

* Wed Sep 10 2008 Stéphane Téletchéa <steletch@mandriva.org> 0.7-0.2392.2mdv2009.0
+ Revision: 283432
- update the the lastest svn revision
- rebuild with corrected mlt and mlt++

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2392.1mdv2009.0
+ Revision: 282323
- New snapshot 2387

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2387.1mdv2009.0
+ Revision: 277592
- fix file list
- rediff path patch
- New snapshot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Adapt specfile to kde layout

* Wed Aug 13 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2376.1mdv2009.0
+ Revision: 271506
- New snapshot 0.7 ( kde4 version )

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - buildrequires ffmpeg-devel

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 04 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20080130.2mdv2008.1
+ Revision: 161904
- Add constraints to BuildRequires (for bug #37099).

* Wed Jan 30 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20080130.1mdv2008.1
+ Revision: 160221
- Release from svn 20080130.

* Thu Jan 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.6-0.20080105.2mdv2008.1
+ Revision: 147668
- change the swh-plugins require to a suggest as it's in contrib (thanks blino)

* Sun Jan 06 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20080105.1mdv2008.1
+ Revision: 146067
- Use new CMAKE_CXX_FLAGS (thanks to Marco Gittler).
- Release svn 20080105.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20071212.1mdv2008.1
+ Revision: 119110
- svn 20071212
- Use cmake.
- Add Patch1 to have the .desktop file at the right place.

* Mon Nov 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.6-0.20071031.3mdv2008.1
+ Revision: 110563
- requires swh-plugins (#33601)

* Thu Nov 01 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20071031.2mdv2008.1
+ Revision: 104718
- Removed extension from icon name.
- Revert update|clean menus removing.
- * Sun Oct 31 2007 Giuseppe Ghib?\195?\178 <ghibo@mandriva.com> 0.6-0.20071007.1
- svn 20071031.
- don't libtoolize (problems with -rpath which isn't disabled).
- removed update|clean menus since there aren't.

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 0.5-2mdv2008.0
+ Revision: 64117
- fix file list
- Renew tarball

* Sun Aug 12 2007 Funda Wang <fwang@mandriva.org> 0.5-1mdv2008.0
+ Revision: 62192
- fix file list
- BR ffmpeg
- New version 0.5

* Fri Aug 10 2007 Funda Wang <fwang@mandriva.org> 0.4-4mdv2008.0
+ Revision: 61500
- add fdo category(bug#32464)

* Wed Aug 01 2007 Adam Williamson <awilliamson@mandriva.org> 0.4-3mdv2008.0
+ Revision: 57307
- drop old menu file
- drop now bogus dependency on piave
- small clean (drop 2006.0 conditionals)


* Wed Feb 07 2007 Laurent Montel <lmontel@mandriva.com> 0.4-2mdv2007.0
+ Revision: 117212
- Fix requires

* Wed Dec 13 2006 Anssi Hannula <anssi@mandriva.org> 0.4-1mdv2007.1
+ Revision: 96473
- from Jos?\195?\169 Jorge <jjorge@free.fr>
  o 0.4
  o drop no longer needed patch 0
  o action icons added to spec

* Sun Oct 29 2006 Anssi Hannula <anssi@mandriva.org> 0.3-1mdv2007.1
+ Revision: 73615
- 0.3
- clean spec
- drop no longer needed patches 1, 2, 3, 4
- patch0: fix autoconf detection
- add new buildrequires and requires
- use find_lang
- add clean_desktop_database
- Import kdenlive

* Wed Aug 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-4mdv2007.0
- Add Patch 4: Fix automake > 1.7 detection

* Sat Jul 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.43mdv2007.0
- Use macros for icons

* Sun Jan 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-2mdk
-  Add Patch 3 ( from qa.mandriva.com at vpanel.cjb.net) :
		- Fix ticket 15538
- Fix URL
- Use mkrel

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-10mdk
- Fix spec file

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-9mdk
- Rebuild

* Sun May 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-8mdk
- grf, forgot the automake buildrequires

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-7mdk
- fix buildrequires
- do rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- fix path to qt (lib64 issue)
- added url
- fixed typo

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-6mdk
- Fix requires

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-5mdk
- use %%configure
- use mdkversion

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-4mdk
- Fix piave path

* Sun Feb 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-3mdk
- Rebuild

